Skip to main content
POST
/
filtering-rules
Create filtering rule
curl --request POST \
  --url https://management-api.fpjs.io/filtering-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Version: <x-api-version>' \
  --data @- <<EOF
{
  "name": "Block suspicious IPs",
  "environment": "ae_rrETjdWcfqI6AFsk",
  "expression": "http.request.ip in cidr('192.168.1.1/32')",
  "action": "deny",
  "status": "enabled",
  "deny_with": "Forbidden",
  "placement": {
    "position": 1,
    "after": "<string>",
    "before": "<string>"
  }
}
EOF
import requests

url = "https://management-api.fpjs.io/filtering-rules"

payload = {
    "name": "Block suspicious IPs",
    "environment": "ae_rrETjdWcfqI6AFsk",
    "expression": "http.request.ip in cidr('192.168.1.1/32')",
    "action": "deny",
    "status": "enabled",
    "deny_with": "Forbidden",
    "placement": {
        "position": 1,
        "after": "<string>",
        "before": "<string>"
    }
}
headers = {
    "X-API-Version": "<x-api-version>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-API-Version': '<x-api-version>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Block suspicious IPs',
    environment: 'ae_rrETjdWcfqI6AFsk',
    expression: 'http.request.ip in cidr(\'192.168.1.1/32\')',
    action: 'deny',
    status: 'enabled',
    deny_with: 'Forbidden',
    placement: {position: 1, after: '<string>', before: '<string>'}
  })
};

fetch('https://management-api.fpjs.io/filtering-rules', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "tr_abc123xyz",
    "name": "Block suspicious IPs",
    "environment": "ae_rrETjdWcfqI6AFsk",
    "expression": "http.request.ip in cidr('192.168.1.1/32')",
    "action": "deny",
    "status": "enabled",
    "created_at": "2024-05-31T01:24:39.506Z",
    "deny_with": "Forbidden",
    "updated_at": "2024-06-01T10:15:30.123Z"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
string
required

Management API version.

Body

application/json
name
string
required

Name of the filtering rule

Example:

"Block suspicious IPs"

environment
string
required

Environment ID

Example:

"ae_rrETjdWcfqI6AFsk"

expression
string
required

Expression in expr-lang format that defines the rule condition

Example:

"http.request.ip in cidr('192.168.1.1/32')"

action
enum<string>
required

Action to take when the rule matches

Available options:
allow,
deny
Example:

"deny"

status
enum<string>
default:enabled

Status of the filtering rule

Available options:
enabled,
disabled
deny_with
enum<string>

Error message to return when denying a request

Available options:
Forbidden
Example:

"Forbidden"

placement
object

Placement options for the rule

Response

Created filtering rule object.

data
object
required